RT::Client::REST::HTTPClient(3pm)

NAME
RT::Client::REST::HTTPClient - Subclass LWP::UserAgent in order to support basic authentication.

VERSION
version 0.73

METHODS

get_basic_credentials
    Returns basic authentication credentials

basic_auth_cb
    Gets/sets basic authentication callback

AUTHOR
Dean Hamstead <dean@fragfest.com.au>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026, 2020 by Dmitri Tikhonov.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.